### Struct

# Camel AsyncClosure

since: 3.12

#### Description [src]

    struct CamelAsyncClosure {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

Available since: 3.12

#### Functions

###### camel_async_closure_callback

Pass this function as the `GAsyncReadyCallback` argument of an asynchronous function, and the `CamelAsyncClosure` as the data argument.

since: 3.12

###### camel_async_closure_new

Creates a new `CamelAsyncClosure` for use with asynchronous functions.

since: 3.12

#### Instance methods

###### camel_async_closure_free

Frees the `closure` and the resources it holds.

since: 3.12

###### camel_async_closure_wait

Call this function immediately after starting an asynchronous operation. The function waits for the asynchronous operation to complete and returns its `GAsyncResult` to be passed to the operation’s “finish” function.

since: 3.12